<?php
/**
 * Plugin Name:UFO工具箱
 * Version:0.3
 * Description:UFO自用的工具箱，根据标题生成日志拼音别名，方便google收录;删除标签中style属性，用于减少转载文章的多余样式;删除所有指定关键字外的日志外链。替换的内容可回溯。
 * ForEmlog:4.0.0+
 * Author:ufomail
 * Author Email:my@zhuqiyi.com
 * Author URL:http://zhuqiyi.com/
 */

!defined('EMLOG_ROOT') && exit('access deined!');
require_once EMLOG_ROOT.'/content/plugins/ufotools/ufotools_func.php';
function ufotools_menu()
{
	echo '<div class="sidebarsubmenu" id="ufotools"><a href="./plugin.php?plugin=ufotools">UFO工具箱</a></div>';
}
addAction('adm_sidebar_ext', 'ufotools_menu');

function ufotools_save($logid) {
    global $logData,$CACHE;
    $Log_Model = new Log_Model();
    $clearstyle = isset($_POST['clearstyle']) ? trim($_POST['clearstyle']) : '';
	$clearurl = isset($_POST['clearurl']) ? trim($_POST['clearurl']) : '';
	$makename = isset($_POST['makename']) ? trim($_POST['makename']) : '';
    
	$logData['content'] = stripslashes($logData['content']);
	$logData['excerpt'] = stripslashes($logData['excerpt']);
    if ($clearstyle==1)
	{
		$logData['excerpt']=ufotools_clearstyle($logData['excerpt']);
		$logData['content']=ufotools_clearstyle($logData['content']);
	}
	if ($clearurl==1)
	{
		$logData['excerpt']=ufotools_cleanurl($logData['excerpt']);
		$logData['content']=ufotools_cleanurl($logData['content']);
	}
	$logData['content'] = addslashes($logData['content']);
    $logData['excerpt'] = addslashes($logData['excerpt']);
	if ($makename==1&&$logData['alias']=='')
	{
		$logData['alias']=substr(ufotools_Pinyin($logData['title'],1),0,180);
	}
    $Log_Model->updateLog($logData,$logid);
	$db = MySql::getInstance();
	$sql='insert into '.DB_PREFIX.'log_back(id,content) select gid,content from '.DB_PREFIX.'blog where gid not in(select id from '.DB_PREFIX.'log_back)';
	//echo $sql;
	//exit;
	$db->query($sql);
	$CACHE->updateCache('logalias');
}
addAction('save_log', 'ufotools_save');

function ufotools_option()
{
	
?>
<input type="checkbox" value="1" name="clearstyle" checked="checked" />清除style
<input type="checkbox" value="1" name="clearurl" checked="checked" />清除外链
<input type="checkbox" value="1" name="makename" checked="checked" />生成别名
<?php
	if ($_GET[action]=='edit'&&$_GET[gid]!='')
	{
		$db = MySql::getInstance();
		$sql='select content from '.DB_PREFIX.'log_back where id='.$_GET[gid];
		$res=$db->query($sql);
		$row = $db->fetch_array($res);
		if ($row[content]!='')
		{
			echo "<a onclick='$(\"#loghistory\").toggle();'>+查看原始日志+</a><div id='loghistory' style='display:none;height:350px;overflow:auto;border:1px solid #ccc;padding:10px;'>{$row[content]}</div>";
		}
	}
}
addAction('adm_writelog_head', 'ufotools_option');
function ufotools_delelog($logid) {
	$db = MySql::getInstance();
	$sql='delete from '.DB_PREFIX.'log_back where id='.$logid;
	//echo $sql;
	//exit;
	$db->query($sql);
}

addAction('del_log','ufotools_delelog');
?>
